<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/md_grey_100"
    android:orientation="vertical">
    <ScrollView
        android:id="@+id/ll_scroll_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:scrollbars="none">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:background="@drawable/bg_white_et"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="5dp">
                <EditText
                    android:id="@+id/et_order_no"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@null"
                    android:hint="@string/hint_please_scan_edit_track_no"
                    android:imeOptions="actionDone"
                    android:paddingRight="5dp"
                    android:singleLine="true"
                    android:textSize="@dimen/t14" />
                <ImageButton
                    android:id="@+id/search_clear"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="3dp"
                    android:background="@android:color/transparent"
                    android:padding="6dp"
                    android:src="@drawable/ic_clear"
                    android:visibility="invisible"
                    android:textSize="@dimen/sp_14" />
                <include layout="@layout/item_image_code" />

            </LinearLayout>
            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/md_grey_100" />
            <LinearLayout
                android:id="@+id/ll_location"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:background="@drawable/bg_white_et"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="5dp">
                <EditText
                    android:id="@+id/et_location_code"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@null"
                    android:hint="@string/hint_please_edit_location"
                    android:imeOptions="actionDone"
                    android:paddingRight="5dp"
                    android:singleLine="true"
                    android:textSize="@dimen/t14" />

                <ImageButton
                    android:id="@+id/ima_location_clear"
                    android:layout_width="14dp"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="3dp"
                    android:background="@android:color/transparent"
                    android:padding="6dp"
                    android:src="@drawable/ic_clear"
                    android:textSize="@dimen/sp_14"
                    android:visibility="invisible" />

                <ImageView
                    android:id="@+id/ima_or_code_two"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="7dp"
                    android:src="@drawable/ic_scanning_gray">
                </ImageView>
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dp_10"

                android:background="@drawable/bg_white_et"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="5dp">
                <EditText
                    android:id="@+id/et_sku"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@null"
                    android:hint="@string/hint_please_edit_sku"
                    android:imeOptions="actionDone"
                    android:paddingRight="5dp"
                    android:singleLine="true"
                    android:textSize="@dimen/t14" />
                <ImageButton
                    android:id="@+id/ima_sku_clear"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="3dp"
                    android:background="@android:color/transparent"
                    android:padding="6dp"
                    android:src="@drawable/ic_clear"
                    android:visibility="invisible"
                    android:textSize="@dimen/sp_14" />
                <ImageView
                    android:id="@+id/ima_or_code_three"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="7dp"
                    android:src="@drawable/ic_scanning_gray">
                </ImageView>
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/md_grey_100" />
            <LinearLayout
                android:id="@+id/ll_is_scan_location"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:background="@drawable/bg_white_et"
                android:layout_marginTop="5dp"
                android:layout_marginBottom="5dp"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                >
                <CheckBox
                    android:id="@+id/cb_is_scan_location"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:checked="true"/>
                <TextView
                    android:layout_marginLeft="5dp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/str_is_scan_location"
                    android:textColor="@color/black"
                    android:textSize="@dimen/t14" />
            </LinearLayout>


            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/md_grey_100" />
            <LinearLayout
                android:id="@+id/ll_track_view"
                android:orientation="vertical"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@null"
                    android:gravity="center_vertical"
                    android:orientation="vertical"
                    android:paddingTop="5dp">
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@null"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:padding="5dp">
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="下个扫描运单号"
                            android:gravity="center_vertical"
                            android:textColor="@color/black_3d3d3d"
                            android:textSize="@dimen/t14" />
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="right"
                            android:text="："
                            android:textColor="@color/black_3d3d3d"
                            android:textSize="@dimen/t14" />
                        <TextView
                            android:id="@+id/tv_next_tracking_number"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text=""
                            android:gravity="center_vertical"
                            android:textColor="@color/black_3d3d3d"
                            android:textSize="@dimen/t14" />
                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@null"
                    android:gravity="center_vertical"
                    android:orientation="vertical"
                    android:paddingTop="5dp">
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@null"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:padding="5dp">
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/str_wait_pickup"
                            android:gravity="left"
                            android:textColor="@color/black_3d3d3d"
                            android:textSize="@dimen/t14" />
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="right"
                            android:text="："
                            android:textColor="@color/black_3d3d3d"
                            android:textSize="@dimen/t14" />
                        <TextView
                            android:id="@+id/tv_wait_pickup_qty"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="0"
                            android:gravity="left"
                            android:textColor="@color/md_red_700"
                            android:textStyle="bold"
                            android:textSize="@dimen/t14" />
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="right"
                            android:text="@string/str_been_pickup"
                            android:textColor="@color/black_3d3d3d"
                            android:textSize="@dimen/t14" />
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="right"
                            android:text="："
                            android:textColor="@color/black_3d3d3d"
                            android:textSize="@dimen/t14" />

                        <TextView
                            android:id="@+id/tv_pickup_qty"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="0"
                            android:gravity="left"
                            android:textColor="@color/md_green_600"
                            android:textStyle="bold"
                            android:textSize="@dimen/t14" />
                    </LinearLayout>

                </LinearLayout>
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/md_grey_100" />
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"

                android:background="@drawable/bg_white_et"
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:paddingLeft="10dp"
                android:paddingRight="10dp">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingBottom="5dp"
                    android:paddingTop="5dp"
                    android:orientation="horizontal">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="运单号"
                        android:textColor="@color/black"
                        android:textSize="@dimen/t14" />
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="："
                        android:textColor="@color/black"
                        android:textSize="@dimen/t14" />
                    <com.fxy.baselibrary.views.MarqueeTextView
                        android:id="@+id/mt_tracking_number"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:enabled="false"
                        android:ellipsize="marquee"
                        android:focusable="true"
                        android:singleLine="true"
                        android:gravity="center_vertical"
                        android:textColor="@color/black_3d3d3d"
                        android:textSize="@dimen/t14"
                        />

                </LinearLayout>
                <LinearLayout
                    android:id="@+id/ll_location_record"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingBottom="5dp"
                    android:paddingTop="5dp"
                    android:orientation="horizontal">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="库位码"
                        android:textColor="@color/black"
                        android:textSize="@dimen/t14" />
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="："
                        android:textColor="@color/black"
                        android:textSize="@dimen/t14" />

                    <com.fxy.baselibrary.views.MarqueeTextView
                        android:id="@+id/mt_location_number"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:enabled="false"
                        android:ellipsize="marquee"
                        android:focusable="true"
                        android:singleLine="true"
                        android:gravity="center_vertical"
                        android:textColor="@color/black_3d3d3d"
                        android:textSize="@dimen/t14"
                        />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingBottom="5dp"
                    android:paddingTop="5dp"
                    android:orientation="horizontal">
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="SKU"
                        android:textColor="@color/black"
                        android:textSize="@dimen/t14" />
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="："
                        android:textColor="@color/black"
                        android:textSize="@dimen/t14" />

                    <com.fxy.baselibrary.views.MarqueeTextView
                        android:id="@+id/mt_sku"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:enabled="false"
                        android:ellipsize="marquee"
                        android:focusable="true"
                        android:singleLine="true"
                        android:gravity="center_vertical"
                        android:textColor="@color/black_3d3d3d"
                        android:textSize="@dimen/t14"
                        />
                </LinearLayout>

            </LinearLayout>
            <LinearLayout
                android:id="@+id/ll_pick_view"
                android:orientation="vertical"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginRight="@dimen/dp_10"
                    android:layout_marginBottom="@dimen/dp_4"
                    android:background="@drawable/bg_white_et"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:padding="10dp">
                    <TextView
                        android:id="@+id/btn_close"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_marginRight="@dimen/dp_10"
                        android:background="@drawable/bg_orange_item"
                        android:gravity="center"
                        android:text="@string/str_close_tray"
                        android:padding="10dp"
                        android:textColor="@color/white"
                        android:textSize="@dimen/t16"
                        android:visibility="visible" />

                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginRight="@dimen/dp_10"
                    android:layout_marginBottom="@dimen/dp_4"
                    android:background="@drawable/bg_white_et"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:padding="10dp">
                    <TextView
                        android:id="@+id/btn_accomplish"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_marginRight="@dimen/dp_10"
                        android:background="@drawable/bg_orange_item"
                        android:gravity="center"
                        android:text="@string/str_complete_pickup"
                        android:padding="10dp"
                        android:textColor="@color/white"
                        android:textSize="@dimen/t16"
                        android:visibility="visible" />
                </LinearLayout>
            </LinearLayout>
            <LinearLayout
                android:id="@+id/ll_batch_pick_view"
                android:orientation="horizontal"
                android:layout_width="match_parent"
                android:visibility="gone"
                android:layout_height="wrap_content">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginRight="@dimen/dp_10"
                    android:layout_marginBottom="@dimen/dp_4"
                    android:background="@drawable/bg_white_et"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:padding="10dp">
                    <TextView
                        android:id="@+id/btn_batch_confirm"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_marginRight="@dimen/dp_10"
                        android:background="@drawable/bg_orange_item"
                        android:gravity="center"
                        android:text="@string/str_batch_confirm"
                        android:padding="10dp"
                        android:textColor="@color/white"
                        android:textSize="@dimen/t16"
                        android:visibility="visible" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </ScrollView>
    <include layout="@layout/item_float_image" />
</LinearLayout>